Subject: [alpine-aports] [PATCH 1/7] main/mpd: upgrade to 0.19.12

From: Sören Tempel <[email-masked]>
Date: Thu, 17 Dec 2015 06:24:23 +0100

---
 main/mpd/APKBUILD | 17 ++++++++---------
 1 file changed, 8 insertions(+), 9 deletions(-)

diff --git a/main/mpd/APKBUILD b/main/mpd/APKBUILD
index 5654e51..2648c6a 100644
--- a/main/mpd/APKBUILD
+++ b/main/mpd/APKBUILD
@@ -3,19 +3,19 @@
 # Contributor: Sören Tempel <[email-masked]>
 # Maintainer: Carlo Landmeter <[email-masked]>
 pkgname=mpd
-pkgver=0.19.11
+pkgver=0.19.12
 case $pkgver in
 *.*.*) _branch=${pkgver%.*};;
 *.*) _branch=$pkgver;;
 esac
-pkgrel=2
+pkgrel=0
 pkgdesc="Music daemon that plays MP3, FLAC, and Ogg Vorbis files"
 url="http://musicpd.org"
 pkgusers="mpd"
 pkggroups="mpd audio"
 arch="all"
 license="GPL2"
-depends=
+depends=""
 makedepends="lame-dev glib-dev curl-dev libao-dev libmad-dev flac-dev
 	libogg-dev faad2-dev libid3tag-dev libvorbis-dev alsa-lib-dev
 	libsamplerate-dev libshout-dev libmodplug-dev boost-dev icu-dev
@@ -31,7 +31,6 @@ source="http://www.musicpd.org/download/mpd/$_branch/mpd-$pkgver.tar.xz
 	mpd.confd"
 
 _builddir="$srcdir/$pkgname-$pkgver"
-
 prepare() {
 	cd "$_builddir"
 	for i in $source; do
@@ -63,9 +62,9 @@ build() {
 
 package() {
 	cd "$_builddir"
-	make DESTDIR="$pkgdir" install
+	make DESTDIR="$pkgdir" install || return 1
 
-	#provide a config that works by default
+	# provide a config that works by default
 	install -d "$pkgdir"/etc
 	sed -e 's:\#pid_file.*:pid_file\t\t"/var/run/mpd/mpd.pid":' \
 		-e 's:\#user.*:user\t\t"mpd":' \
@@ -81,19 +80,19 @@ package() {
 		"$pkgdir"/var/lib/mpd/music
 }
 
-md5sums="78935f6c464b67e19b4dc65bdb80319e  mpd-0.19.11.tar.xz
+md5sums="acbef4339d854da509c8bf3b43f0657e  mpd-0.19.12.tar.xz
 a84cce5fdb848c7d282e38698432df51  underlinking.patch
 97e6eab066fc610e6e3a3b2263a6d5ba  musl-gcc5-fixes.patch
 b0c5da8706963a5ae910ff604eb87e2b  stacksize.patch
 69f9df7ba92ac3f6c46a4a30a2a5c025  mpd.initd
 dbd301041953a5cf9c2b9de8f23eb6bb  mpd.confd"
-sha256sums="7a5c66aa5af97a5b7af3dc49e3d2594071dafd62a14e2e9f7c9a5a86342836c6  mpd-0.19.11.tar.xz
+sha256sums="7b6fe6c7ce72f5f80a276d680072b524ecb395e546e252b8f3a0756377e1e875  mpd-0.19.12.tar.xz
 b3a0499cbd3f759612ad94fce00588d97e5e82af0b2bcc560869eb977067a426  underlinking.patch
 f8be8d5f00576e4734d44d3ee2ad2ddd55351c25eee5a545573a264304514db9  musl-gcc5-fixes.patch
 7ae663ecc08498e1d822349cf580eb738f43218308ae0b75efe128276f8ab98a  stacksize.patch
 9d842c202c010b7254dc89971649139b81bfec49f11c19bcba8be8712279ba7b  mpd.initd
 32c072f77c23c2cc2dd7c93b65b73015e0587caaf2740856132af32cee623206  mpd.confd"
-sha512sums="3ad505a75651facd141efbb43ebb86a9f1b66a0bc044d39c9131068fc20d05037ad449935fd6fc20917dfd690cdc256c1d1deb7427039d2345b13bea2b2eb66e  mpd-0.19.11.tar.xz
+sha512sums="a608c99096d0ec9158cba5615be344a47d76c5be830ba34445e330f141aaa828784772d772df20d71d4c65e78ea5dfe9fb59ea4f4f823fa112a00517963a6e7e  mpd-0.19.12.tar.xz
 d6a98c5f60a60ddd5fa94b25864f800a6a6fb6ffe114793293d0ccc71bb5d1cdb847ca39fde4128446b55a38be85634106d5d6f2c77ee450f33631b30140781a  underlinking.patch
 5140ad3eb13b5e141e9b9909ad27ae2a08ac7556b3ff23f97a65ae6dc20f3856a0376b85fe8e90eb37b8fbaccd0c1002b4bc788d0abcb7541c95713e1cc98a3a  musl-gcc5-fixes.patch
 f425c20e18207a406f84a6a664f02625fca9d42977b1289f4ba8595406b26f6aa73b4f1cb5a1115858cb75fa7844f42d7174adba3f6af1af216c44901a1ccaa0  stacksize.patch
-- 
2.6.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---

---

From: Sören Tempel <[email-masked]>
Date: Thu, 17 Dec 2015 06:24:24 +0100

---
 community/syncthing/APKBUILD | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/community/syncthing/APKBUILD b/community/syncthing/APKBUILD
index a89bb1b..1358ede 100644
--- a/community/syncthing/APKBUILD
+++ b/community/syncthing/APKBUILD
@@ -3,7 +3,7 @@
 # Contributor: Sören Tempel <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=syncthing
-pkgver=0.12.7
+pkgver=0.12.8
 pkgrel=0
 pkgdesc="Open Source Continuous File Synchronization"
 url="http://syncthing.net/"
@@ -54,12 +54,12 @@ package() {
 		"$pkgdir"/etc/conf.d/$pkgname || return 1
 }
 
-md5sums="f27f7f5b2838ab98eb74c48bae677a2b  syncthing-0.12.7.tar.gz
+md5sums="794a948710621700a070ba2152076a57  syncthing-0.12.8.tar.gz
 c4923d6df4d3e51274869c09ea46a3e1  syncthing.confd
 760e26e5ea2f1dce8ce149a45f5e99bb  syncthing.initd"
-sha256sums="9b39507d6d18827859bbf8b6c56fdc19d8b1b75f9fafb340230ed8f604eb8f34  syncthing-0.12.7.tar.gz
+sha256sums="d34aa2009bf6aa73c56519b79dad230faf7976bb8b7ba0591b65ed8aafb3cdb6  syncthing-0.12.8.tar.gz
 da396f944d7b5b2e4f5a7a9a3a7b31529cf359ef7ebecec4c48383d0c8b6821e  syncthing.confd
 4d7c1de71cfc415d716471f32fdbb1693597f0209167e4c4ea302478481ab9b3  syncthing.initd"
-sha512sums="b13602422c3df34f0acffe282583d5483a489fe2faf8943612cd68ed3a1287355a0b64268b0e828ba8fe98ab361441ee1e66171eeb6385596e9cceea6b3166b5  syncthing-0.12.7.tar.gz
+sha512sums="766b41fc7f645943b76a34620ead8acd66e2536ae5545d8cb2c31470d26c480de37625e27d74d007812acbb16cc54e75fba43a343e9a33427c090936924fe3fa  syncthing-0.12.8.tar.gz
 b19cc3d802caa33f4d06852de590d2d984c12cf27d0540162cd7195da4f3f149c83c72e7a10f385b32b27fff6f39d33698e7402442a3f32a9da136c5d19059ae  syncthing.confd
 21fa7b0090e579ad0f02bb8cc9a78736eb99811613823bf12d477262da2281543d07b47ae0888e2e3876a687bf4cab3c89405447373a9c5ab2915989c5f9dce8  syncthing.initd"
-- 
2.6.4

---

---

From: Sören Tempel <[email-masked]>
Date: Thu, 17 Dec 2015 06:24:25 +0100

---
 main/perl/APKBUILD | 21 +++++++++------------
 1 file changed, 9 insertions(+), 12 deletions(-)

diff --git a/main/perl/APKBUILD b/main/perl/APKBUILD
index d933a80..8f0aa16 100644
--- a/main/perl/APKBUILD
+++ b/main/perl/APKBUILD
@@ -1,23 +1,21 @@
 # Maintainer: Natanael Copa <[email-masked]>
 # Contributor: Leonardo Arena <[email-masked]>
 pkgname=perl
-pkgver=5.22.0
+pkgver=5.22.1
 pkgrel=0
 pkgdesc="Larry Wall's Practical Extraction and Report Language"
-url=http://www.perl.org
+url="http://www.perl.org/"
 arch="all"
 license="Artistic GPL2"
-source="http://www.cpan.org/src/5.0/perl-$pkgver.tar.gz
-	"
 options="!fhs"
-
-depends=
+depends=""
 depends_dev="perl"
-makedepends=
+makedepends=""
 subpackages="$pkgname-dev $pkgname-doc miniperl"
+source="http://www.cpan.org/src/5.0/perl-$pkgver.tar.gz
+	"
 
 _builddir="$srcdir/$pkgname-$pkgver"
-
 prepare() {
 	cd $_builddir
 	for i in $source; do
@@ -96,7 +94,6 @@ dev() {
 	done
 }
 
-
-md5sums="e32cb6a8dda0084f2a43dac76318d68d  perl-5.22.0.tar.gz"
-sha256sums="0c690807f5426bbd1db038e833a917ff00b988bf03cbf2447fa9ffdb34a2ab3c  perl-5.22.0.tar.gz"
-sha512sums="751c715f6483109fcaf3304115751a3bddb50f5e648efc767fd796e3959f42ab88b6471a6ad901667f18eda4d9bfbc85cb091d582b6fc66fcab77668f41d1e0c  perl-5.22.0.tar.gz"
+md5sums="19295bbb775a3c36123161b9bf4892f1  perl-5.22.1.tar.gz"
+sha256sums="2b475d0849d54c4250e9cba4241b7b7291cffb45dfd083b677ca7b5d38118f27  perl-5.22.1.tar.gz"
+sha512sums="cead35f0dfea61104066a9e8e00bde7b33783f5f6cbef6c3307c3425453aec14c37775e9284b1235e9f14d76cae3455e3e215c16e31eee780917d9ec9490346a  perl-5.22.1.tar.gz"
-- 
2.6.4

---

---

From: Sören Tempel <[email-masked]>
Date: Thu, 17 Dec 2015 06:24:26 +0100

Also don't fetch the source from git.
---
 main/xf86-video-nouveau/APKBUILD | 37 +++++++++++--------------------------
 1 file changed, 11 insertions(+), 26 deletions(-)

diff --git a/main/xf86-video-nouveau/APKBUILD b/main/xf86-video-nouveau/APKBUILD
index 7e6e14e..0c6b3c4 100644
--- a/main/xf86-video-nouveau/APKBUILD
+++ b/main/xf86-video-nouveau/APKBUILD
@@ -1,8 +1,7 @@
+# Contributor: Sören Tempel <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=xf86-video-nouveau
-#_gitdate=20111010
-pkgver=1.0.11_git20150913
-_ver=${pkgver%_git*}
+pkgver=1.0.12
 pkgrel=0
 pkgdesc="Open-source X.org drivers for nVidia video cards"
 url="http://nouveau.freedesktop.org/"
@@ -11,25 +10,12 @@ license="MIT"
 depends="mesa-dri-nouveau"
 depends_dev=
 makedepends="randrproto renderproto videoproto xextproto libdrm-dev
-	xorg-server-dev util-macros libtool autoconf automake xf86driproto
-	eudev-dev
-	automake autoconf libtool"
+	xorg-server-dev util-macros xf86driproto eudev-dev"
 install=""
 subpackages="$pkgname-doc"
-source="http://xorg.freedesktop.org/releases/individual/driver/xf86-video-nouveau-${_ver}.tar.bz2
-	git.patch
-	"
-
-_builddir="$srcdir"/xf86-video-nouveau-$_ver
-
-mksource() {
-	mkdir /tmp/${pkgname}-${_gitdate}
-	(cd /tmp/${pkgname}-${_gitdate};
-	git clone -v --depth 1 git://anongit.freedesktop.org/nouveau/xf86-video-nouveau;
-	cd xf86-video-nouveau;
-	git archive --prefix=xf86-video-nouveau-${_gitdate}/ --format=tar HEAD | bzip2 > /tmp/${pkgname}-${_gitdate}/${pkgname}-${_gitdate}.tar.bz2)
-}
+source="http://xorg.freedesktop.org/archive/individual/driver/$pkgname-$pkgver.tar.bz2"
 
+_builddir="$srcdir"/$pkgname-$pkgver
 prepare() {
 	cd "$_builddir"
 	for i in $source; do
@@ -37,7 +23,6 @@ prepare() {
 		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
 		esac
 	done
-	autoreconf -vif
 }
 
 build() {
@@ -47,6 +32,9 @@ build() {
 		--build=$CBUILD \
 		--host=$CHOST \
 		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
 		|| return 1
 	make || return 1
 }
@@ -56,9 +44,6 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="a0d2932d84ba10c4933c8332c9afe157  xf86-video-nouveau-1.0.11.tar.bz2
-93561d95226bc2d5ea811f4277424f43  git.patch"
-sha256sums="f84fe2b2787f3ea9419eac3aa86462b929a551b3dbc4de550cc83b67f3216848  xf86-video-nouveau-1.0.11.tar.bz2
-c90d9643179d589300a45ac6fe330c44dc46faf382f0e646a8eff0791f53e903  git.patch"
-sha512sums="4ceffc711798b98a5ee67d9df33d1a4f1d2b7d100605ea04b2e689debf745bc5a4f8907b602d1689ec6ed6400b2fc0ffe0eb0f7e7787bd2dd3cd5db1d14e90ee  xf86-video-nouveau-1.0.11.tar.bz2
-3ec5d839d0591f1c8525b661dc195b873bd9a992ce10000afeebdec37849b19a14e4230f4230286efa7753e5c5b86968e7a560268ca55af5d70b9f37e929be75  git.patch"
+md5sums="dc79910c7b9e32321cefc7af250c7765  xf86-video-nouveau-1.0.12.tar.bz2"
+sha256sums="0ea057ad7fc31caba2d4e46c7e418fe2b3c762b04fb8d382f53383397fd8391e  xf86-video-nouveau-1.0.12.tar.bz2"
+sha512sums="dd3be4b89d4b39f02b7cbf058be90e6777adc61a580c0987e737056ff85ed2685e7d6a7848b2c7ab8957810e057d7693c5dd2c425f88609670e02ea8368d77e9  xf86-video-nouveau-1.0.12.tar.bz2"
-- 
2.6.4

---

---

From: Sören Tempel <[email-masked]>
Date: Thu, 17 Dec 2015 06:24:27 +0100

---
 main/wget/APKBUILD | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

diff --git a/main/wget/APKBUILD b/main/wget/APKBUILD
index 3e39562..83d998c 100644
--- a/main/wget/APKBUILD
+++ b/main/wget/APKBUILD
@@ -1,7 +1,7 @@
 # Contributor: Carlo Landmeter <[email-masked]>
 # Maintainer: Carlo Landmeter <[email-masked]>
 pkgname=wget
-pkgver=1.17
+pkgver=1.17.1
 pkgrel=0
 pkgdesc="A network utility to retrieve files from the Web"
 url="http://www.gnu.org/software/wget/wget.html"
@@ -31,7 +31,6 @@ build() {
 		--prefix=/usr \
 		--sysconfdir=/etc \
 		--mandir=/usr/share/man \
-		--infodir=/usr/share/info \
 		--with-ssl=openssl \
 		--disable-nls \
 		|| return 1
@@ -43,10 +42,9 @@ package() {
 	make DESTDIR="$pkgdir" install || return 1
 
 	rm -rf "$pkgdir"/usr/lib/charset.alias
-	rmdir -p "$pkgdir"/usr/lib 2>/dev/null
-	return 0
+	rmdir -p "$pkgdir"/usr/lib 2>/dev/null || true
 }
 
-md5sums="c4c4727766f24ac716936275014a0536  wget-1.17.tar.gz"
-sha256sums="3e04ad027c5b6ebd67c616eec13e66fbedb3d4d8cbe19cc29dadde44b92bda55  wget-1.17.tar.gz"
-sha512sums="5553158545c3bcf6e804f427f737f490cfa2e71e1a903352cbda21002bb3a09c260a981ef1c1feb70330de043586163efd892f28b40ea8943466564b659245a3  wget-1.17.tar.gz"
+md5sums="a6a908c9ae0e6a4194c628974cc3f05a  wget-1.17.1.tar.gz"
+sha256sums="029fbb93bdc1c0c5a7507b6076a6ec2f8d34204a85aa87e5b2f61a9405b290f5  wget-1.17.1.tar.gz"
+sha512sums="1e99f898669bdb6a330a53b40fac1fc563ad1ce9f6c7f2f25fe3f1cdd3a1a1f094e59c45a8f6497ab0c05d47cbc453ffb5fb6a5507e9a2c9ccf6cddda2aaeaf0  wget-1.17.1.tar.gz"
-- 
2.6.4

---

---

From: Sören Tempel <[email-masked]>
Date: Thu, 17 Dec 2015 06:24:28 +0100

---
 main/libgpg-error/APKBUILD | 16 +++++++++++-----
 1 file changed, 11 insertions(+), 5 deletions(-)

diff --git a/main/libgpg-error/APKBUILD b/main/libgpg-error/APKBUILD
index 03c8eb6..81fd079 100644
--- a/main/libgpg-error/APKBUILD
+++ b/main/libgpg-error/APKBUILD
@@ -1,12 +1,16 @@
+# Contributor: Sören Tempel <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=libgpg-error
-pkgver=1.20
+pkgver=1.21
 pkgrel=0
 pkgdesc="Support library for libgcrypt"
 url="http://www.gnupg.org"
 arch="all"
 license="LGPL"
 depends=""
+depends_dev=""
+makedepends=""
+install=""
 subpackages="$pkgname-dev $pkgname-doc $pkgname-lisp"
 source="ftp://ftp.franken.de/pub/crypt/mirror/ftp.gnupg.org/gcrypt/$pkgname/$pkgname-$pkgver.tar.bz2
 	"
@@ -17,9 +21,11 @@ build () {
 		--build=$CBUILD \
 		--host=$CHOST \
 		--prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--localstatedir=/var \
 		--disable-nls \
 		|| return 1
-
 	make || return 1
 }
 
@@ -33,6 +39,6 @@ lisp() {
 	mv "$pkgdir"/usr/share "$subpkgdir"/usr/share/
 }
 
-md5sums="9997d9203b672402a04760176811589d  libgpg-error-1.20.tar.bz2"
-sha256sums="3266895ce3419a7fb093e63e95e2ee3056c481a9bc0d6df694cfd26f74e72522  libgpg-error-1.20.tar.bz2"
-sha512sums="7736f22a9ee23d27f8d74c275ee92a7d41b48468619af8df70ea4c07000beb03801c6f322735a91100a2b5eb97fca56fce476e4a6eca0054e8a81c44d9b1e1d3  libgpg-error-1.20.tar.bz2"
+md5sums="ab0b5aba6d0a185b41d07bda804fd8b2  libgpg-error-1.21.tar.bz2"
+sha256sums="b7dbdb3cad63a740e9f0c632a1da32d4afdb694ec86c8625c98ea0691713b84d  libgpg-error-1.21.tar.bz2"
+sha512sums="1bc2e27b9904cb66b091c4d15855d2d2fe5d88ed11917df628cd7865989a8a208b607e5d6c499a5d64a16d22b2310b7df6868fa5462cc30cd8fda80a2f8c8315  libgpg-error-1.21.tar.bz2"
-- 
2.6.4

---

---

From: Sören Tempel <[email-masked]>
Date: Thu, 17 Dec 2015 06:24:29 +0100

---
 main/nsd/APKBUILD | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

diff --git a/main/nsd/APKBUILD b/main/nsd/APKBUILD
index c53aebb..bd340a3 100644
--- a/main/nsd/APKBUILD
+++ b/main/nsd/APKBUILD
@@ -2,13 +2,13 @@
 # Contributor: Leonardo Arena <[email-masked]>
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=nsd
-pkgver=4.1.6
+pkgver=4.1.7
 pkgrel=0
 pkgdesc="NSD is an authoritative only, high performance, simple and open source name server."
 url="http://www.nlnetlabs.nl/projects/nsd/"
 arch="all"
 license="BSD"
-depends=
+depends=""
 depends_dev=
 makedepends="$depends_dev openssl-dev libevent-dev"
 install="$pkgname.pre-install $pkgname.pre-upgrade $pkgname.post-deinstall"
@@ -32,7 +32,6 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-
 	./configure \
 		--build=$CBUILD \
 		--host=$CHOST \
@@ -66,9 +65,9 @@ doc() {
 		"$subpkgdir"/usr/share/doc/$pkgname/ || return 1
 }
 
-md5sums="607e0a2afa9365c96d981f2fd36942dc  nsd-4.1.6.tar.gz
+md5sums="bedc9aa8fc235a0f082aad6e515b6127  nsd-4.1.7.tar.gz
 62301a021d2b2e1972625e56ea8138d1  nsd.initd"
-sha256sums="88f622055c95d38b9ef3723a240d1d0da35a28d09fe23b601015181a61d7775f  nsd-4.1.6.tar.gz
+sha256sums="7ba8beb29b495ab795e927d9aa82a5bb1b66296a78f61ed47d6ccfe59e9b1a8a  nsd-4.1.7.tar.gz
 8f9ca311a60e2a3db3fcc64b66cce2d6ff84b5600f47d5ece349d90926e90f27  nsd.initd"
-sha512sums="c9bd4901e49a718ef435862d55a9c351586ecd4349c52d39ee18acf6ca33e3488eb581115fe6a99d0a1fd975117168d2756866429fc517ebe4713a211811333d  nsd-4.1.6.tar.gz
+sha512sums="c2bdb03a09ac06d70feef2183e2d777777ba7830777bac67ab974016f52791ad7ed9227a37a31325f5e4ab4baeacc4cb562d5af4cd85e5b6ddc83422ae5d0df8  nsd-4.1.7.tar.gz
 402142ad1bb422a9a29ee8c7606bd513defa41563d47fb547812d4682862da5646022aa8c4577ed2d2a151388a12ec2f7b472e6a6091406859c0eb1f7f00c5b6  nsd.initd"
-- 
2.6.4

---